## org.eclipse.datatools.sqltools.data.internal.ui.editor
Interface ITableDataEditor

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart

All Known Implementing Classes:
  TableDataEditor

    public interface ITableDataEditor

extends org.eclipse.ui.IEditorPart

This interface should be implemented by editors that allows browsing and editing the data stored in a SQL table.

Field Summary

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`void` `doDelete()`
`void` `doInsertRow()`
`void` `doRefresh()`
`void` `doRevert()`
`void` `doSetNull()`
`void` `doUpdateValue()`
`TableDataTableCursor` `getCursor()`
`IRowData` `getOrCreateRow()`
`IRowData` `getRow()`
`TableDataEditorSelectionProvider` `getSelectionProvider()`
`Table` `getSqlTable()`
`ITableData` `getTableData()`
`org.eclipse.jface.viewers.TableViewer` `getTableViewer()`
`boolean` `isReadonly()`
`void` `setDirty(boolean value)`
`void` `setDirtyBackground(int columnIndex, org.eclipse.swt.widgets.TableItem item)`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite, init`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

Method Detail

### getTableData

    ITableData getTableData()

### getSqlTable

    Table getSqlTable()

### getCursor

    TableDataTableCursor getCursor()

### isReadonly

    boolean isReadonly()

### getRow

    IRowData getRow()

### getOrCreateRow

    IRowData getOrCreateRow()

### setDirtyBackground

    void setDirtyBackground(int columnIndex,
                            org.eclipse.swt.widgets.TableItem item)

### setDirty

    void setDirty(boolean value)

### doRevert

    void doRevert()

### doDelete

    void doDelete()

### doInsertRow

    void doInsertRow()

### doUpdateValue

    void doUpdateValue()

### doSetNull

    void doSetNull()

### doRefresh

    void doRefresh()

### getTableViewer

    org.eclipse.jface.viewers.TableViewer getTableViewer()

### getSelectionProvider

    TableDataEditorSelectionProvider getSelectionProvider()